## wireless-regdb 2024.07.04

=== debian/changelog ===
wireless-regdb (2024.07.04-0ubuntu1~20.04.1) focal; urgency=medium

  * Backport to focal (LP: #2073274)
    - debian/rules: Continue shipping CRDA regulatory.bin
    - debian/control: Continue suggesting crda
    - debian/control: Continue depending on debhelper-compat 12

 -- Noah Wager <noah.wager@canonical.com>  Fri, 13 Sep 2024 11:25:52 -0700

wireless-regdb (2024.07.04-0ubuntu1) oracular; urgency=medium

  * New upstream version 2024.07.04 (LP: #2073274)

 -- Noah Wager <noah.wager@canonical.com>  Fri, 12 Jul 2024 19:08:59 -0400

wireless-regdb (2022.06.06-0ubuntu2) mantic; urgency=medium

  * Drop shipping unused /lib/crda/regulatory.bin

 -- Dimitri John Ledkov <dimitri.ledkov@canonical.com>  Mon, 17 Jul 2023 22:43:02 +0100

wireless-regdb (2022.06.06-0ubuntu1) kinetic; urgency=medium

  * New upstream version 2022.06.06 (LP: #1980145)

 -- Seth Forshee <seth@forshee.me>  Wed, 29 Jun 2022 08:23:01 -0500

wireless-regdb (2021.08.28-0ubuntu2) kinetic; urgency=medium

  * d/control: Remove suggestion to crda since this package was removed

 -- Alexandre Ghiti <alexandre.ghiti@canonical.com>  Thu, 12 May 2022 13:10:31 +0200

wireless-regdb (2021.08.28-0ubuntu1) impish; urgency=medium

  * New upstream version 2021.08.28 (LP: #1941955)

 -- Seth Forshee <seth@forshee.me>  Sat, 28 Aug 2021 11:56:48 -0500

wireless-regdb (2021.07.14-0ubuntu1) impish; urgency=medium

  * New upstream version 2021.07.14 (LP: #1936255)
  * debian/gbp.conf: Add upstream tag format
  * debian/control: Update maintainer email address

 -- Seth Forshee <seth@forshee.me>  Wed, 14 Jul 2021 15:47:05 -0500

=== debian/control ===
Source: wireless-regdb
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Seth Forshee <seth@forshee.me>
Build-Depends: debhelper-compat (= 12),
 openssl,
 python3,
 python3-m2crypto,
 quilt
Rules-Requires-Root: no
Standards-Version: 4.5.0
Homepage: https://wireless.wiki.kernel.org/en/developers/regulatory/wireless-regdb

Package: wireless-regdb
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Suggests: crda
Description: wireless regulatory database
 This package contains the wireless regulatory database used by the Central
 Regulatory Database Agent (CRDA) to configure wireless devices to operate
 within the radio spectrum allowed in the local jurisdiction.
 .
 This regulatory information is provided with no warranty either expressed or
 implied. Only Linux drivers which use cfg80211 framework can make use of the
 regulatory database and CRDA.

=== debian/watch ===
version=3
https://www.kernel.org/pub/software/network/wireless-regdb/wireless-regdb-(.*)\.tar\.xz debian

## wireless-regdb 2024.10.07

=== debian/changelog ===
wireless-regdb (2024.10.07-2) unstable; urgency=medium

  [ Colin Watson ]
  * d/tests/check-signatures: Fix subprocess cleanup (closes: #1092796).

 -- Ben Hutchings <benh@debian.org>  Wed, 22 Jan 2025 20:07:01 +0100

wireless-regdb (2024.10.07-1) unstable; urgency=medium

  * New upstream version:
    - Update regulatory info for Qatar (QA) on 6GHz
    - Update regulatory info for New Zealand (NZ) for 2022
    - Update regulatory info for Peru (PE) on 6GHz
    - Update regulatory info for El Salvador (SV) on 6GHz
    - Update regulatory info for Togo (TG) for 2022
    - Add regulatory info for Namibia (NA) for 2023
    - Update regulatory info for Bahrain (BH) for 2024
    - Update regulatory info for Guatemala (GT) for 2020
    - Update regulatory info for Philippines (PH) on 6GHz
    - Correct regulatory rules for China (CN)
    - Update regulatory info for Kuwait (KW) for 2022
    - Update regulatory info for Israel (IL) for 2021
    - Update regulatory info for Honduras (HN) for 2023
    - Correct regulatory rules of 6GHz frequency for Türkiye (TR)
    - Update regulatory info for Serbia (RS) for 2024
    - Update regulatory info for Pakistan (PK) for 2024
    - Update regulatory info for Tanzania (TZ) for 2024
    - update regulatory database based on preceding changes
  * Revert "Run scripts with Python 3" and Build-Depend on python-is-python3

 -- Ben Hutchings <benh@debian.org>  Wed, 30 Oct 2024 04:29:54 +0100

wireless-regdb (2024.07.04-1) unstable; urgency=medium

  * New upstream version:
    - Update regulatory rules for Mongolia (MN) on 6GHz
    - Update regulatory rules for Saudi Arabia (SA) on 6GHz
    - Update regulatory rules for South Africa (ZA) on 6GHz
    - Update regulatory info for Thailand (TH) on 6GHz
    - Update regulatory info for Malaysia (MY) for 2022
    - Update regulatory info for Morocco (MA) on 6GHz
    - Update regulatory info for Chile (CL) on 6GHz
    - Update regulatory info for Mexico (MX) on 6GHz
    - Update regulatory info for Iceland (IS) on 6GHz
    - Update regulatory info for Mauritius(MU) on 6GHz
    - Update regulatory info for Argentina (AR) on 6GHz
    - Update regulatory info for United Arab Emirates (AE) on 6GHz
    - Update regulatory info for Colombia (CO) on 6GHz
    - Update regulatory info for Costa Rica (CR) for 2021
    - Update regulatory info for Dominican Republic (DO) on 6GHz
    - Update regulatory info for Liechtenstein (LI) on 6GHz
    - Update regulatory info for Jordan (JO) for 2022
    - Update regulatory info for Kenya (KE) for 2022
    - Update regulatory info for Macao (MO) for 2024
    - update regulatory database based on preceding changes

 -- Ben Hutchings <benh@debian.org>  Wed, 10 Jul 2024 22:17:58 +0200

## wireless-regdb 2025.02.20

=== debian/changelog ===
wireless-regdb (2025.02.20-1~deb12u1) bookworm; urgency=medium

  * Backport to bookworm:
    - d/salsa-ci.yml: Set RELEASE to bookworm
  * d/salsa-ci.yml: Run lintian from the target release, not always unstable

 -- Ben Hutchings <benh@debian.org>  Wed, 30 Apr 2025 13:47:05 +0200

wireless-regdb (2025.02.20-1) unstable; urgency=medium

  * New upstream version:
    - assert and correct maximum bandwidth within frequency difference
    - Update regulatory info for Syria (SY) for 2020
    - Update regulatory info for Moldova (MD) on 6GHz for 2022
    - Update regulatory info for Azerbaijan (AZ) on 6GHz for 2024
    - Update regulatory info for Oman (OM)
    - Update regulatory rules for Armenia (AM) on 2.4 and 5 GHz
    - Permit 320 MHz bandwidth in 6 GHz band in ETSI/CEPT
    - Update regulatory rules for Austria (AT)
    - Update regulatory info for Cayman Islands (KY) for 2024
    - allow NO-INDOOR flag in db.txt
    - Update regulatory rules for Iran (IR) on both 2.4 and 5Ghz for 2021
    - Update frequency range with NO-INDOOR for Oman (OM)
    - update regulatory database based on preceding changes

 -- Ben Hutchings <benh@debian.org>  Sun, 16 Mar 2025 22:46:41 +0100

## wireless-regdb 2025.02.20-1~deb12u1+11.0trisquel1

=== debian/changelog ===
wireless-regdb (2025.02.20-1~deb12u1+11.0trisquel1) aramo; urgency=medium

  * Rebuild upstream to get udeb dependency for debian-installer.

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Sat, 17 May 2025 12:41:31 +0000

## wireless-regdb 2025.02.20-1trisquel1

=== debian/changelog ===
wireless-regdb (2025.02.20-1trisquel1) ecne; urgency=medium

  * Rebuild upstream to get udeb dependency for debian-installer.

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Thu, 24 Apr 2025 07:57:47 +0000

## wireless-regdb 2025.07.10

=== debian/changelog ===
wireless-regdb (2025.07.10-1~deb11u1) bullseye-security; urgency=high

  * Backport to bullseye:
    - Add my signature for regulatory.bin

 -- Ben Hutchings <benh@debian.org>  Sat, 06 Sep 2025 17:22:58 +0200

wireless-regdb (2025.07.10-1) unstable; urgency=medium

  * New upstream version:
    - Update regulatory info for Indonesia (ID) for 2025
    - Permit 320 MHz bandwidth in 6 GHz band for GB
    - Update regulatory info for Egypt (EG) for 2024
    - Update regulatory rules for Brazil (BR) on 6GHz
    - Update regulatory info for Vietnam (VN) for 2025
    - Update regulatory info for Estonia (EE) for 2024
    - update regulatory rules for Paraguay (PY) on 6 GHz for 2025
    - Update regulatory info for CEPT countries for 6GHz listed by WiFi
      Alliance
    - update regulatory rules for Bosnia and Herzegovina (BA) for 6 GHz
  * d/upstream/signing-key.asc: Update for later expiry date and new uids

 -- Ben Hutchings <benh@debian.org>  Fri, 18 Jul 2025 13:18:59 +0200

wireless-regdb (2025.02.20-1~deb11u1) bullseye-security; urgency=high

  * Backport to bullseye:
    - Add my signature for regulatory.bin
  * d/salsa-ci.yml: Run lintian from the target release, not always unstable

 -- Ben Hutchings <benh@debian.org>  Mon, 19 May 2025 19:42:53 +0200

=== debian/control ===
Source: wireless-regdb
Section: net
Priority: optional
Maintainer: Debian kernel team <debian-kernel@lists.debian.org>
Uploaders: Ben Hutchings <benh@debian.org>, Romain Perier <romain.perier@gmail.com>
Build-Depends: debhelper-compat (= 12),
 openssl,
 python3,
 python3-m2crypto,
 python-is-python3,
 quilt
Rules-Requires-Root: no
Standards-Version: 4.5.0
Vcs-Git: https://salsa.debian.org/kernel-team/wireless-regdb.git
Vcs-Browser: https://salsa.debian.org/kernel-team/wireless-regdb
Homepage: https://wireless.wiki.kernel.org/en/developers/regulatory/wireless-regdb

Package: wireless-regdb
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Suggests: crda
Description: wireless regulatory database for Linux
 This package provides a machine-readable database of legal
 regulations on radio emissions that affect use of wireless networking.
 The Linux kernel and drivers use this to maintain compliance with
 those regulations.

Package: wireless-regdb-udeb
Package-Type: udeb
Architecture: all
Section: debian-installer
Depends: ${misc:Depends}
Description: wireless regulatory database for Linux - udeb
 This package provides a machine-readable database of legal
 regulations on radio emissions that affect use of wireless networking.
 The Linux kernel and drivers use this to maintain compliance with
 those regulations.

=== debian/rules ===
#!/usr/bin/make -f

export CRDA_PATH     = /lib/crda
export REGDB_AUTHOR  = $(shell dpkg-parsechangelog -SMaintainer | sed 's:.*<\(.*\)>:\1:')
export V             = 1
# prevent the build system from calling lsb_release
export LSB_ID        = Debian/Ubuntu

define copy_source
test -d .pc
set +e; QUILT_PC=.pc quilt unapplied --quiltrc - >/dev/null && echo 'Patch series not fully applied'; test $$? -eq 1
mkdir -p '$(1)'
cp -a $(filter-out debian .pc .git %.bin %.db %.p7s sha1sum.txt, $(wildcard * .[^.]*)) '$(1)'
endef

%:
	dh ${@}

debian/stamps/configure:
	rm -rf debian/build
	$(call copy_source,debian/build)
	cp debian/regulatory.bin.sig debian/regulatory.db.p7s debian/build/
	mkdir -p debian/stamps
	touch $@

override_dh_auto_configure: debian/stamps/configure

override_dh_auto_build:
	$(MAKE) -C debian/build regulatory.bin regulatory.db
# crda will install public keys
	rm -f debian/build/.custom
# Verify that our binaries match upstream unless db.txt is patched
ifeq ($(shell QUILT_PC=.pc quilt patches --quiltrc - db.txt | wc -l),0)
	diff regulatory.db debian/build/regulatory.db
	size="$$(dd if=regulatory.bin status=none bs=4 skip=2 count=1 | od -td4 --endian=big -An | sed 's/^\s*//')" \
	&& dd if=regulatory.bin status=none iflag=skip_bytes,count_bytes skip=12 count=$$size of=debian/build/regulatory.bin.unsigned-upstream \
	&& dd if=debian/build/regulatory.bin status=none iflag=skip_bytes,count_bytes skip=12 count=$$size of=debian/build/regulatory.bin.unsigned \
	&& diff debian/build/regulatory.bin.unsigned-upstream debian/build/regulatory.bin.unsigned
endif

override_dh_auto_install: install-wireless-regdb install-wireless-regdb-udeb

install-wireless-regdb: DIR = debian/wireless-regdb
install-wireless-regdb:
	$(MAKE) -C debian/build DESTDIR=$(CURDIR)/$(DIR) install
	for file in regulatory.db regulatory.db.p7s; do \
		install -m644 $$file $(DIR)/lib/firmware/$$file-upstream \
		&& mv $(DIR)/lib/firmware/$$file $(DIR)/lib/firmware/$$file-debian \
		|| exit; \
	done
# crda will install public keys
	rm -r $(DIR)/lib/crda/pubkeys

install-wireless-regdb-udeb: DIR = debian/wireless-regdb-udeb
install-wireless-regdb-udeb:
	$(MAKE) -C debian/build DESTDIR=$(CURDIR)/$(DIR) install
	rm -r $(DIR)/lib/crda $(DIR)/usr/share/man
	rmdir --ignore-fail-on-non-empty -p $(DIR)/usr/share

override_dh_auto_clean:
	rm -rf debian/build debian/stamps

execute_after_dh_installdeb:
	if command -v dh_movetousr >/dev/null; then dh_movetousr; fi

sign:
	rm -rf debian/build
	$(call copy_source,debian/build)
	cp debian/certs/$(REGDB_AUTHOR).x509.pem debian/build/
	$(MAKE) -C debian/build regulatory.bin.sig regulatory.db.p7s
	cp debian/build/regulatory.bin.sig debian/build/regulatory.db.p7s debian/

=== debian/tests/control ===
Tests: check-signatures
Depends: wireless-regdb, linux-source, openssl, python3

=== debian/watch ===
version=3
opts="pgpmode=mangle, pgpsigurlmangle=s|\.xz$|.sign|, decompress" \
https://www.kernel.org/pub/software/network/wireless-regdb/wireless-regdb-(.*)\.tar\.xz debian

## wireless-regdb 2025.07.10-1~deb12u1+11.0trisquel1

=== Makefile ===
# Install prefix
PREFIX ?= /usr
CRDA_PATH ?= $(PREFIX)/lib/crda
CRDA_KEY_PATH ?= $(CRDA_PATH)/pubkeys
FIRMWARE_PATH ?= /lib/firmware

MANDIR ?= $(PREFIX)/share/man/

SHA1SUM ?= /usr/bin/sha1sum
LSB_RELEASE ?= /usr/bin/lsb_release
WHOAMI ?= /usr/bin/whoami

# Distro name: Ubuntu, Debian, Fedora, if not present you get
# "custom-distro", if your distribution does not have the LSB stuff,
# then set this variable when calling make if you don't want "custom-distro"
LSB_ID ?= $(shell if [ -f $(LSB_RELEASE) ]; then \
			$(LSB_RELEASE) -i -s; \
		else \
			echo custom-distro; \
		fi)

DISTRO_PRIVKEY ?= ~/.wireless-regdb-$(LSB_ID).key.priv.pem
DISTRO_PUBKEY ?= ~/.wireless-regdb-$(LSB_ID).key.priv.pem

REGDB_AUTHOR ?= $(shell if [ -f $(DISTRO_PRIVKEY) ]; then \
			echo $(LSB_ID) ; \
		elif [ -f $(WHOAMI) ]; then \
			$(WHOAMI); \
		else \
			echo custom-user; \
		fi)

REGDB_PRIVKEY ?= $(HOME)/.wireless-regdb-$(REGDB_AUTHOR).key.priv.pem
REGDB_PUBKEY ?= $(REGDB_AUTHOR).key.pub.pem
REGDB_PUBCERT ?= $(REGDB_AUTHOR).x509.pem

REGDB_UPSTREAM_PUBKEY ?= wens.key.pub.pem

REGDB_CHANGED = $(shell $(SHA1SUM) -c --status sha1sum.txt >/dev/null 2>&1; \
        if [ $$? -ne 0 ]; then \
                echo maintainer-clean $(REGDB_PUBKEY) $(REGDB_PUBCERT); \
        fi)

.PHONY: all clean mrproper install maintainer-clean install-distro-key

all: $(REGDB_CHANGED) regulatory.bin sha1sum.txt regulatory.db.p7s

clean:
	@rm -f *.pyc *.gz

maintainer-clean: clean
	@rm -f regulatory.bin regulatory.db regulatory.db.p7s

mrproper: clean maintainer-clean
	@echo Removed public key, regulatory.bin, regulatory.db* and compressed man pages
	@rm -f $(REGDB_PUBKEY) $(REGDB_PUBCERT) .custom

regulatory.bin: db.txt $(REGDB_PRIVKEY) $(REGDB_PUBKEY)
	@echo Generating $@ digitally signed by $(REGDB_AUTHOR)...
	./db2bin.py regulatory.bin db.txt $(REGDB_PRIVKEY)

regulatory.db: db.txt db2fw.py
	@echo "Generating $@"
	./db2fw.py regulatory.db db.txt

regulatory.db.p7s: regulatory.db $(REGDB_PRIVKEY) $(REGDB_PUBCERT)
	@echo "Signing regulatory.db (by $(REGDB_AUTHOR))..."
	@openssl smime -sign \
		-signer $(REGDB_PUBCERT) \
		-inkey $(REGDB_PRIVKEY) \
		-in $< -nosmimecap -binary \
		-noattr \
		-outform DER -out $@

sha1sum.txt: db.txt
	sha1sum $< > $@

$(REGDB_PUBKEY): $(REGDB_PRIVKEY)
	@echo "Generating public key for $(REGDB_AUTHOR)..."
	openssl rsa -in $(REGDB_PRIVKEY) -out $(REGDB_PUBKEY) -pubout -outform PEM

$(REGDB_PUBCERT): $(REGDB_PRIVKEY)
	@echo "Generating certificate for $(REGDB_AUTHOR)..."
	./gen-pubcert.sh $(REGDB_PRIVKEY) $(REGDB_PUBCERT) $(REGDB_AUTHOR)
	@echo $(REGDB_PUBKEY) > .custom


$(REGDB_PRIVKEY):
ifeq ($(MAKECMDGOALS),$(REGDB_PRIVKEY))
	@echo "Generating private key for $(REGDB_AUTHOR)..."
	openssl genrsa -out $(REGDB_PRIVKEY) 2048
else
	@echo "No private key found. To generate a private key, run:"
	@echo "    make ~/.wireless-regdb-<author-id>.key.priv.pem"
	@echo "Your author-id is currently \"$(REGDB_AUTHOR)\"; set REGDB_AUTHOR to override this."
	@exit 1
endif

ifneq ($(shell test -e $(DISTRO_PRIVKEY) && echo yes),yes)
$(DISTRO_PRIVKEY):
	@echo "Generating private key for $(LSB_ID) packager..."
	openssl genrsa -out $(DISTRO_PRIVKEY) 2048
endif

install-distro-key: maintainer-clean $(DISTRO_PRIVKEY)

%.gz: %
	gzip < $< > $@

# Users should just do:
#	sudo make install
#
# Developers should do:
#	make maintainer-clean
#	make
#	sudo make install
#
# Distributions packagers should do only once:
#	make install-distro-key
# This will create a private key for you and install it into
# ~/.wireless-regdb-$(LSB_ID).key.priv.pem
# To make new releaes just do:
#	make maintainer-clean
#	make
#	sudo make install
install: regulatory.bin.5.gz regulatory.db.5.gz
	install -m 755 -d $(DESTDIR)/$(CRDA_PATH)
	install -m 755 -d $(DESTDIR)/$(CRDA_KEY_PATH)
	install -m 755 -d $(DESTDIR)/$(FIRMWARE_PATH)
	if [ -f .custom ]; then \
		install -m 644 -t $(DESTDIR)/$(CRDA_KEY_PATH)/ $(shell cat .custom); \
	fi
	install -m 644 -t $(DESTDIR)/$(CRDA_KEY_PATH)/ $(REGDB_UPSTREAM_PUBKEY)
	install -m 644 -t $(DESTDIR)/$(CRDA_PATH)/ regulatory.bin
	install -m 644 -t $(DESTDIR)/$(FIRMWARE_PATH) regulatory.db regulatory.db.p7s
	install -m 755 -d $(DESTDIR)/$(MANDIR)/man5/
	install -m 644 -t $(DESTDIR)/$(MANDIR)/man5/ regulatory.bin.5.gz regulatory.db.5.gz

=== debian/changelog ===
wireless-regdb (2025.07.10-1~deb12u1+11.0trisquel1) aramo; urgency=medium

  * Rebuild upstream to get udeb dependency for debian-installer.

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Sat, 06 Sep 2025 12:53:20 +0000

wireless-regdb (2025.07.10-1~deb12u1) bookworm; urgency=medium

  * Backport to bookworm:
    - d/salsa-ci.yml: Suppress false bad-distribution-in-changes-file error

 -- Ben Hutchings <benh@debian.org>  Sun, 03 Aug 2025 14:50:20 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: wireless-regdb
 Section: net
 Priority: optional
-Maintainer: Debian kernel team <debian-kernel@lists.debian.org>
+Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
 Uploaders: Ben Hutchings <benh@debian.org>, Romain Perier <romain.perier@gmail.com>
 Build-Depends: debhelper-compat (= 12),
  openssl,
@@ -19,7 +19,6 @@
 Architecture: all
 Multi-Arch: foreign
 Depends: ${misc:Depends}
-Suggests: crda
 Description: wireless regulatory database for Linux
  This package provides a machine-readable database of legal
  regulations on radio emissions that affect use of wireless networking.

## wireless-regdb 2025.07.10-1trisquel1

=== debian/changelog ===
wireless-regdb (2025.07.10-1trisquel1) ecne; urgency=medium

  * Rebuild upstream to get udeb dependency for debian-installer.

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Wed, 23 Jul 2025 06:49:38 +0000

## wireless-regdb 2025.10.07

=== debian/changelog ===
wireless-regdb (2025.10.07-1) unstable; urgency=medium

  * New upstream version:
    - update regulatory rules for Botswana (BW) for 2022
    - update regulatory rules for Sint Marteen (SX) for 2018
    - Update regulatory info including bandwidth for Costa Rica (CR) for 2023
    - Permit lower 6 GHz band for Kazakhstan (KZ)
  * d/salsa-ci.yml: Remove obsolete lintian error suppression
  * d/upstream/signing-key.asc: Update for later expiry date
  * d/watch: Convert to version 5 format

 -- Ben Hutchings <benh@debian.org>  Mon, 20 Oct 2025 20:42:25 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: wireless-regdb
 Section: net
 Priority: optional
-Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
+Maintainer: Debian kernel team <debian-kernel@lists.debian.org>
 Uploaders: Ben Hutchings <benh@debian.org>, Romain Perier <romain.perier@gmail.com>
 Build-Depends: debhelper-compat (= 12),
  openssl,

=== debian/watch ===
Version: 5

Source: https://www.kernel.org/pub/software/network/wireless-regdb/
Matching-Pattern: wireless-regdb-(.*)\.tar\.xz
Decompress: yes
Pgpmode: mangle
Pgpsigurlmangle: s|\.xz$|.sign|

## wireless-regdb 2026.02.04

=== debian/changelog ===
wireless-regdb (2026.02.04-1) unstable; urgency=medium

  [ Ben Hutchings ]
  * New upstream version:
    - Update regulatory info for Australia (AU) for 2025
    - Update broken link in regulatory.bin(5) manpage
    - Update regulatory info for Malaysia (MY) for 2024
    - Update regulatory info for Malaysia (MY) for 2025
    - Update regulatory info for Tunisia (TN) on 6GHz for 2025
    - Update regulatory info for Canada (CA) for 2025
  * d/rules: Install regulatory.db under /usr without dh_movetousr
    (Closes: #1122785)
  * d/README.Debian: Remove minimum kernel version for direct-loading
  * Add support and documentation for setting default regulatory domain

  [ Bastian Germann ]
  * Drop unnecessary B-D m2crypto (Closes: #1126431)

 -- Ben Hutchings <benh@debian.org>  Fri, 13 Feb 2026 14:11:18 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,6 @@
 Build-Depends: debhelper-compat (= 12),
  openssl,
  python3,
- python3-m2crypto,
  python-is-python3,
  quilt
 Rules-Requires-Root: no

=== debian/rules ===
#!/usr/bin/make -f

export CRDA_PATH     = /lib/crda
export FIRMWARE_PATH = /usr/lib/firmware
export REGDB_AUTHOR  = $(shell dpkg-parsechangelog -SMaintainer | sed 's:.*<\(.*\)>:\1:')
export V             = 1
# prevent the build system from calling lsb_release
export LSB_ID        = Debian/Ubuntu

define copy_source
test -d .pc
set +e; QUILT_PC=.pc quilt unapplied --quiltrc - >/dev/null && echo 'Patch series not fully applied'; test $$? -eq 1
mkdir -p '$(1)'
cp -a $(filter-out debian .pc .git %.bin %.db %.p7s sha1sum.txt, $(wildcard * .[^.]*)) '$(1)'
endef

%:
	dh ${@}

debian/stamps/configure:
	rm -rf debian/build
	$(call copy_source,debian/build)
	cp debian/regulatory.db.p7s debian/build/
	mkdir -p debian/stamps
	touch $@

override_dh_auto_configure: debian/stamps/configure

override_dh_auto_build:
	$(MAKE) -C debian/build regulatory.db
# Create regulatory.bin so the upstream install rule works
	touch debian/build/regulatory.bin
	rm -f debian/build/.custom
# Verify that our binary matches upstream unless db.txt is patched
ifeq ($(shell QUILT_PC=.pc quilt patches --quiltrc - db.txt | wc -l),0)
	diff regulatory.db debian/build/regulatory.db
endif

override_dh_auto_install: install-wireless-regdb install-wireless-regdb-udeb

install-wireless-regdb: DIR = debian/wireless-regdb
install-wireless-regdb:
	$(MAKE) -C debian/build DESTDIR=$(CURDIR)/$(DIR) install
	for file in regulatory.db regulatory.db.p7s; do \
		install -m644 $$file $(DIR)$(FIRMWARE_PATH)/$$file-upstream \
		&& mv $(DIR)$(FIRMWARE_PATH)/$$file $(DIR)$(FIRMWARE_PATH)/$$file-debian \
		|| exit; \
	done
	rm -r $(DIR)/lib/crda
	rmdir --ignore-fail-on-non-empty -p $(DIR)/lib
# regulatory.db.5 just includes regulatory.bin.5, so we need to
# install the latter as regulatory.db.5
	mv $(DIR)/usr/share/man/man5/regulatory.bin.5.gz \
		$(DIR)/usr/share/man/man5/regulatory.db.5.gz

install-wireless-regdb-udeb: DIR = debian/wireless-regdb-udeb
install-wireless-regdb-udeb:
	$(MAKE) -C debian/build DESTDIR=$(CURDIR)/$(DIR) install
	rm -r $(DIR)/lib/crda $(DIR)/usr/share/man
	rmdir --ignore-fail-on-non-empty -p $(DIR)/lib $(DIR)/usr/share

override_dh_auto_clean:
	rm -rf debian/build debian/stamps

sign:
	rm -rf debian/build
	$(call copy_source,debian/build)
	cp debian/certs/$(REGDB_AUTHOR).x509.pem debian/build/
	$(MAKE) -C debian/build regulatory.db.p7s
	cp debian/build/regulatory.db.p7s debian/
